import { NgForm } from '@angular/forms';
import { ElementRef, OnChanges, SimpleChanges, OnInit } from '@angular/core';
import { NgEasyValidationService } from '../services/ng-easy-validation.service';
import { DefaultProps } from 'tippy.js';
export declare class NgEasyValidationDirective implements OnInit, OnChanges {
    private validationService;
    private host;
    private requirements;
    set ngEasyValidation(requirements: {
        [key: string]: any[];
    });
    tippyProps: Partial<DefaultProps>;
    validationDebounceTime: number;
    private invalidClass;
    private formId;
    private validationEnabled;
    private validationSubscription;
    private tippies;
    constructor(el: ElementRef, validationService: NgEasyValidationService, host: NgForm);
    ngOnInit(): void;
    private initValidationSubscription;
    private setDefaultTippyProps;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private initFieldConfigurations;
    private setFieldIsDirty;
    private setFieldValidators;
    private setFieldTippy;
    private validate;
    private reEvaluateFields;
    private updateFieldsLayout;
    private updateFieldTippy;
    private updateFieldLayout;
    private isMouseOnElement;
    private buildErrorMessage;
    private getFormElement;
    private getUsableInputFields;
}
